Loading...
Searching...
No Matches
caf::detail::simple_actor_clock::multi_timeout Struct Referencefinal

An timeout event for actors that allows multiple active timers for the same type. More...

`#include <simple_actor_clock.hpp>`

Inheritance diagram for caf::detail::simple_actor_clock::multi_timeout:

## Public Member Functions

| multi_timeout (time_point due, strong_actor_ptr self, atom_value type, uint64_t id)
Public Member Functions inherited from caf::detail::simple_actor_clock::delayed_event
| delayed_event (event_type type, time_point due)
Public Member Functions inherited from caf::detail::simple_actor_clock::event
| event (event_type t)

## Public Attributes

strong_actor_ptr | self
atom_value | type
uint64_t | id
Public Attributes inherited from caf::detail::simple_actor_clock::delayed_event
time_point | due
| Timestamp when this event should trigger.
actor_lookup_map::iterator | backlink
| Links back to the actor lookup map.
Public Attributes inherited from caf::detail::simple_actor_clock::event
event_type | subtype
| Identifies the actual type of this object.

## Static Public Attributes

static constexpr bool | cancellable = true

## Detailed Description

An timeout event for actors that allows multiple active timers for the same type.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/simple_actor_clock.hpp